CMSIS-Driver: Driver_ETH.h File Reference

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures | Macros | Enumerations
Driver_ETH.h File Reference

## Data Structures

struct | ARM_ETH_LINK_INFO
| Ethernet link information. More...
struct | ARM_ETH_MAC_ADDR
| Ethernet MAC Address. More...

## Macros

#define | ARM_ETH_INTERFACE_MII (0U)
| Ethernet Media Interface type. More...
#define | ARM_ETH_INTERFACE_RMII (1U)
| Reduced Media Independent Interface (RMII) More...
#define | ARM_ETH_INTERFACE_SMII (2U)
| Serial Media Independent Interface (SMII) More...
#define | ARM_ETH_SPEED_10M (0U)
| Ethernet link speed. More...
#define | ARM_ETH_SPEED_100M (1U)
| 100 Mbps link speed More...
#define | ARM_ETH_SPEED_1G (2U)
| 1 Gpbs link speed More...
#define | ARM_ETH_DUPLEX_HALF (0U)
| Ethernet duplex mode. More...
#define | ARM_ETH_DUPLEX_FULL (1U)
| Full duplex link. More...

## Enumerations

enum | ARM_ETH_LINK_STATE { ARM_ETH_LINK_DOWN, ARM_ETH_LINK_UP }
| Ethernet link state. More...

## Macro Definition Documentation

#define ARM_ETH_SPEED_10M (0U)

Ethernet link speed.

10 Mbps link speed

#define ARM_ETH_SPEED_100M (1U)

100 Mbps link speed

#define ARM_ETH_SPEED_1G (2U)

1 Gpbs link speed

#define ARM_ETH_DUPLEX_HALF (0U)

Ethernet duplex mode.

Half duplex link

#define ARM_ETH_DUPLEX_FULL (1U)

Full duplex link.